/*
 * msgdb.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * Message database access functions.
 *
 * @(#) MySC msgdb.h 1.1 98/01/27 04:54:57
 *
 */

#ifndef __MSGDB_H__
#define __MSGDB_H__

extern void init_msgdb();

#ifdef CONFIG_ENABLE_MSGDB

#if !defined(CONFIG_NO_CATGETS)
extern char const *do_msgptr(int num, char const *str);
#define msgptr(num, str) (do_msgptr((num), (str)))
#elif !defined(CONFIG_NO_GETTEXT)
extern char const *do_msgptr(int num, char const *str);
#define msgptr(num, str) (do_msgptr((num), (str)))
#elif !defined(CONFIG_NO_GETTXT)
extern char const *do_msgptr(int num, char const *nstr, char const *str);
#define msgptr(num, str) (do_msgptr(num, "MySC:" #num, (str)))
#else
extern char const *do_msgptr(int num, char const *str);
#define msgptr(num, str) (do_msgptr(num, str))
#endif

#else /* CONFIG_ENABLE_MSGDB */

#define msgptr(num, str) (str)

#endif /* CONFIG_ENABLE_MSGDB */

#endif /* __MSGDB_H__ */
