/*
 * sysdep.h
 *
 * By Ross Ridge
 * Public Domain
 *
 * Includes system dependent header files.
 *
 * @(#) MySC sysdep.h 1.4 98/01/27 05:49:40
 *
 */

#ifndef __SYSDEP_H__
#define __SYSDEP_H__

#ifdef CONFIG_INCLUDE_FCNTL_H 
#include <fcntl.h>
#endif

#ifdef CONFIG_INCLUDE_SYS_FILE_H
#include <sys/file.h>
#endif

#ifdef CONFIG_INCLUDE_UNISTD_H
#include <unistd.h>
#endif

#ifdef CONFIG_INCLUDE_PROTOTYPES_H
#include <prototypes.h>
#endif

#ifdef CONFIG_INCLUDE_IO_H
#include <io.h>
#endif

#ifdef CONFIG_INCLUDE_SYS_WAIT_H
#include <sys/wait.h>
#endif

#ifdef CONFIG_INCLUDE_PROCESS_H
#include <process.h>
#endif

#ifdef CONFIG_MSDOS_FILES
#if defined(__BORLANDC__) && defined(__STDC__)
#define far __far
#endif
#include <dos.h> 
#else
#include <sys/stat.h>
#endif

#ifdef CONFIG_UIDS
#include <pwd.h>
#endif

#ifdef CONFIG_SHARE_LOCKING
#include <share.h>
#endif

#ifdef CONFIG_DECLARE_FDOPEN
extern "C" FILE * CDECL fdopen(int, char const *);
#endif

#ifndef _POSIX_SOURCE

#ifndef F_OK
#define F_OK 0
#define X_OK 1
#define W_OK 2
#define R_OK 4
#endif /* F_OK */

#ifndef S_IROTH
#define S_IROTH 00001
#define S_IWOTH 00002
#define S_IXOTH	00004
#define S_IRGRP	00010
#define S_IWGRP	00020
#define S_IXGRP 00040
#define S_IRUSR 00100
#define S_IWUSR	00200
#define S_IXUSR	00400
#define S_IRWXO 00007
#define S_IRWXG 00070
#define S_IRWXU 00700
#endif /* S_IROTH */

#endif /* _POSIX_SOURCE */

#endif /* __SYSDEP_H__ */

/* Local variables: */
/* mode: c++ */
/* End: */
